
Name:	 guidance 
Summary: System administration tools 
Version: 0.7.0
Release: 1%{?dist}

License: GPL
Group:	 Applications/System
URL:   	 http://www.simonzone.com/software/guidance/	
Source:	 http://www.simonzone.com/software/guidance/guidance-%{version}.tar.bz2 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: guidance-0.7.0-setup.patch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs-devel 
BuildRequires: PyKDE-devel
BuildRequires: pykdeextensions-devel
BuildRequires: libtool
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
BuildRequires: libX11-devel libXext-devel libXrandr-devel libXrender-devel libXxf86vm-devel 
Requires: xorg-x11-xinit
%else
BuildRequires: xorg-x11-devel
Requires: xinitrc
%endif
BuildRequires: python-devel >= 2.3
%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitedir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
## python >=2.4 automatically uses python(abi)
%if "%{?python_ver}" > "1" && "%{?python_ver}" < "2.4"
Requires: python-abi = %{python_ver}
%endif


%description
Guidance is a collection of system administration tools for Linux/KDE systems.


%prep
%setup -q 

%patch1 -p1 -b .setup


%build

%{__python} setup.py build


%install
rm -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install -O1 --skip-build --root=${RPM_BUILD_ROOT}

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*.desktop  ||:

# nuke buildroot
find $RPM_BUILD_ROOT%{_datadir}/apps/ -type f | \
  xargs --no-run-if-empty sed -i -e "s|$RPM_BUILD_ROOT||g" 

# remove zero-length files
find $RPM_BUILD_ROOT%{_datadir}/apps/ -size 0 | xargs rm -f
# 
rm -f %{_libdir}/kde3/*.a

# QA_RPATHS=0x0003; export QA_RPATHS

# fixup symlinks
for symlink in displayconfig displayconfig-restore mountconfig serviceconfig userconfig wineconfig ; do
 ln -sf %{_datadir}/apps/guidance/${symlink}.py $RPM_BUILD_ROOT%{_bindir}/${symlink}
done

# Not sure if this is right yet.  -- Rex
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/
mv $RPM_BUILD_ROOT/etc/X11/Xsession.d/40guidance-displayconfig_restore \
   $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/

# default icons should be hicolor
mv $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg \
   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files 
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/guidance/
%{_datadir}/icons/hicolor/*/*/*
%{_docdir}/HTML/en/guidance/
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_libdir}/kde3/kcm_*.*
%{python_sitedir}/*


%changelog
* Wed Feb 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.7.0-1
-
